Bug 479937 - No sound output from mono speaker.
No sound output from mono speaker.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: alsa-utils (Show other bugs)
5.2
x86_64 Linux
high Severity high
: rc
: 5.4
Assigned To: Jaroslav Kysela
desktop-bugs@redhat.com
: HardwareEnablement
Depends On:
Blocks: 447297 483784
  Show dependency treegraph
 
Reported: 2009-01-14 02:37 EST by wayneh
Modified: 2009-06-22 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-05 16:41:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa info from kernel-2.6.18-133.el5hda54_3.x86_64.rpm (35.08 KB, text/plain)
2009-03-17 02:43 EDT, wayneh
no flags Details

  None (edit)
Description wayneh 2009-01-14 02:37:04 EST
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; .NET CLR 3.0.04506.648)

NO sound output from internal speaker(the on-board mono speaker) while playing a music.

Reproducible: Always

Steps to Reproduce:
1. Install Linux.
2. Using native linux audio driver.
3. System without plug external speaker.
4. Play a audio CD.
5. No sound output from intermal speaker(the on-board mono speaker).
Actual Results:  
NO sound output from internal speaker(the on-board mono speaker) while playing a music.

Expected Results:  
Sound output from internal speaker(the on-board mono speaker) while playing a music.
Comment 1 wayneh 2009-02-25 02:09:52 EST
This issue is still observed with RHEL 5.3. Thanks.
Comment 2 Larry Troan 2009-03-04 07:53:22 EST
Bugs 483271 and 483594 may be similar/related:
* Bug 483271 -  Sound only partially working on <edited> (Intel Q43)  
* Bug 483594 -  FEAT: RHEL 5.4 - update ALSA HDA audio driver from upstream
Comment 3 Jaroslav Kysela 2009-03-10 12:00:06 EDT
Please, test kernel (HDA update) from bug#483594 . Also, attach output from
'alsa-info.sh --no-upload' when mentioned kernel does not work as expected.
Comment 4 Larry Troan 2009-03-16 14:02:04 EDT
Per bug 483594....
Third test kernel is available here:

http://people.redhat.com/jkysela/RHEL5/kernel-2.6.18-133.el5hda54_3.i686.rpm
http://people.redhat.com/jkysela/RHEL5/kernel-2.6.18-133.el5hda54_3.x86_64.rpm

It should solve issues with module unloading (reboot oops/panic problems) and
enables PC Beep on ALC662/663 codecs.  


Please test and report results back here. Also, please attach output from "alsa-info.sh --no-upload" if test kernel does not work as expected.

Setting bug to NEEDINFO (reporter).
Comment 5 wayneh 2009-03-17 02:43:56 EDT
Created attachment 335481 [details]
alsa info from kernel-2.6.18-133.el5hda54_3.x86_64.rpm

Hi Sir,
I install RHEL 5.3 and update the kernel-2.6.18-133.el5hda54_3.x86_64.rpm.
This issue is obsrved with the Third test kernel.
Comment 7 Jaroslav Kysela 2009-03-23 09:58:22 EDT
Please, try to add 'options snd-hda-intel model=laptop' to your /etc/modprobe.d/sound (or /etc/modprobe.conf). Leave all other options if line options snd-hda-intel exists in this file.

Also, you may try to test another models:

AD1988/AD1988B/AD1989A/AD1989B
==============================
  6stack        6-jack
  6stack-dig    ditto with SPDIF
  3stack        3-jack
  3stack-dig    ditto with SPDIF
  laptop        3-jack with hp-jack automute
  laptop-dig    ditto with SPDIF
  auto          auto-config reading BIOS (default)
Comment 8 RHEL Product and Program Management 2009-03-26 13:26:37 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 wayneh 2009-04-02 02:36:33 EDT
Hi Sir,
This issue currently is treated as limitation in Linux and Lenovo has released the document to cover this issue. Thanks.
Comment 10 Larry Troan 2009-06-05 16:41:24 EDT
Per comment #9, closing as WONTFIX.
Comment 11 Larry Troan 2009-06-22 15:48:59 EDT
Bug 483594 - FEAT: RHEL 5.4 - update ALSA HDA audio driver from upstream

The RHEL5.4 alpha kernel has significant fixes in the audio area. Please try it and report back if this resolves this problem.

Note You need to log in before you can comment on or make changes to this bug.